Get expenditures
curl --request GET \
--url https://api.syntage.com/entities/{entityId}/insights/expenditures \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/entities/{entityId}/insights/expenditures"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/entities/{entityId}/insights/expenditures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"amount": 5938.88,
"mxnAmount": 114638.76,
"metric": 114638.76,
"transactions": 6,
"date": "202408",
"dateLabel": "2024/Aug",
"startDate": "2024-08-01",
"dimension": "total",
"label": "total",
"groupName": "total"
}
],
"stats": [
{
"total": 50,
"hits": 48,
"date": "202408",
"dateLabel": "2024/Aug",
"startDate": "2024-08-01"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}Revenue
Expenditures Insight
Money the entity has spent over time, aggregated from received income invoices.
GET
/
entities
/
{entityId}
/
insights
/
expenditures
Get expenditures
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Query Parameters
Filter by invoice issuing date (greater than)
Filter by invoice issuing date (less than)
The data set is grouped by this field
Available options:
daily, weekly, monthly, quarterly, yearly The type of expenditure
Available options:
total, currency, counterparty, invoice-type, payment-type Was this page helpful?